Text services overview

Text services enable you to enter and edit text in a document. Keyboards are the most common text service, but speech dictation and digitized handwriting are becoming more popular as advances are made in speech and handwriting recognition.

You can install and add the text services you need. The options include:

  • Keyboard layouts. Keyboards are generally language-specific, and some languages provide multiple keyboard layout options. For example, in the United States, you can enter text with the standard keyboard, the Dvorak keyboard, or the International English keyboard.
  • Input Method Editors (IMEs). IMEs enable you to enter East Asian language characters with a keyboard.
  • Speech recognition. You can enter text and, in some programs, issue commands by speaking into a microphone connected to your computer.
  • Handwriting recognition. You can use a handwriting input device or your mouse to insert text by writing it. The computer converts your handwritten words to typed text.

You define a default language and keyboard layout when you install Windows, but you can enable other text services in Regional and Language Options in Control Panel.

Add only those text services you intend to use. Each text service requires computer memory and can affect performance.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.

Related Topics


Using speech and handwriting to insert text

Speech and handwriting recognition programs make it possible to insert text and issue commands without using your keyboard.

Use speech recognition to dictate an e-mail message, read numbers into a spreadsheet, or compose a document. In some programs, such as Microsoft Word 2002, you can use speech to issue commands. For example, you can select text and then say "bold" or "underline."

Use handwriting recognition to scribble a quick e-mail message or write notes to yourself using a pen stylus or other handwriting input device. Your handwriting is converted to typed characters automatically. In some programs, you can display the text just as you wrote it.

To use speech recognition, you need a good-quality headset microphone attached to a sound card or a USB port on your computer. You also need a fairly fast computer and a lot of memory.

To use handwriting recognition, a pen stylus and tablet is recommended, though you can use your mouse by moving it on your mouse pad to form words.

Speech recognition requires that the speech recognition engine, a language-specific software program, be installed on your computer. Three Microsoft speech recognition processors are currently available for use with Windows: Simplified Chinese, U.S. English, and Japanese. Other languages will become available.

The handwriting recognition engine is also language-specific and must be installed on your computer. Microsoft handwriting recognition engines are currently available in Simplified Chinese, Traditional Chinese, English, Japanese, and Korean language versions. Other languages will become available.

For more information about installing and using speech and handwriting recognition, click Related Topics.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Add another text service

Microsoft Windows graphic

To add another text service

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Add.
  4. In the Input language list, click an input language.
  5. If available, select the check box for the type of service you want to add, and then click a service in the list.

    For example, select the Keyboard layout/IME check box, and then click a keyboard layout in the list.

Notes

  • XOX
  • New text services are available to use as soon as you click OK or Apply.
  • If a language does not appear in the Input language list, the fonts for that language might not be installed. For information about installing East Asian and complex script languages, click Related Topics.
  • Add only those text services you intend to use. Each text service requires computer memory and can affect performance.


Remove a text service

To remove a text service

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click the text service you want to remove.
  4. Click Remove.

Notes

  • XOX
  • If you remove the only text service or input method available for a particular language, the language is removed as well.
  • Remove the text services you do not use. Each text service requires computer memory and can affect performance.
  • You cannot remove all text services. You must maintain at least one service for entering text into your computer.


Turn text services off or on

To turn text services off or on

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. On the Advanced tab of the Text services and input languages dialog box, select the Turn off advanced text services check box to turn text services off.

    To turn text services on, clear the check box.

  4. Click Yes if prompted to confirm your selection.

Notes

  • XOX
  • Use this procedure to turn off handwriting recognition, speech recognition, and some accessibility features temporarily. These services can affect performance, and if you are not using them with your current program, you can turn them off temporarily.
  • If you are not using a text service at all, you should remove it. XOX
  • Turning off text services does not affect multiple languages or keyboards that you have added under Installed services on the Text Services and Input Languages dialog box.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Support speech and handwriting recognition in all programs

To support speech and handwriting recognition in all programs

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. On the Advanced tab of the Text services and input languages dialog box, select the Extend support of advanced text services to all programs check box to provide handwriting recognition and speech recognition in all programs.

    To stop Windows from extending this support, clear the check box.

  4. Click Yes if prompted to confirm your selection.

Notes

  • XOX
  • Use this procedure to specify whether Windows provides support for advanced text services to programs that do not normally support these text services. Notepad is an example of this type of program. Advanced text services include handwriting recognition, speech recognition, and some accessibility options.
  • These services can affect performance, and if you are not using them with your current program, you can turn them off.
  • You can also click Extended speech support Tools menu on the Language bar to turn support for speech and handwriting recognition on or off in all programs.
  • If you are not using a text service at all, you should remove it. XOX
  • Turning off text services does not affect multiple languages or keyboards that you have added under Installed services on the Text Services and Input Languages dialog box.


Language bar overview

The Language bar is a floating toolbar that appears on your desktop automatically when you add handwriting recognition, speech recognition, or an Input Method Editor (IME) as a method of inserting text. In addition, if you add a second language or keyboard layout, you can display the Language bar from the taskbar.

The Language bar enables you to easily switch between and perform tasks related to entering text. For example, if you are entering text with a handwriting input device, use the buttons on the Language bar to open the Writing Pad window, from which you can insert handwritten text into your document.

The buttons and options that are displayed on the Language bar depend on the text services you have installed, and the software program that is currently active. For example, Microsoft Word 2002 supports speech recognition, while Notepad does not. If both programs are running, the speech buttons are displayed when Microsoft Word is active, but disappear when you make Notepad the active program.

You can move the Language bar anywhere on your screen, minimize it to the taskbar, or make it nearly transparent. If you do not use it, you can close it. You should remove text services that you do not use, as they require computer memory and can affect performance.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Show the Language bar

To show the Language bar

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Preferences, click Language Bar.
  4. Select the Show the Language bar on the desktop check box.

Notes

  • XOX
  • The Language bar is displayed automatically if you install a text service such as handwriting, speech, or an Input Method Editor (IME). However, if you close the Language bar, you can use this procedure to redisplay it.
  • If you minimized the Language bar to the taskbar, click the Language icon ( Language Button) on the taskbar and then click Show the Language bar.
  • Once the Language bar is displayed, you can right-click it to display a menu. Use this menu to change settings for the Language bar, such as docking it on the taskbar or adding text labels.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Hide the Language bar

To hide the Language bar

  1. Right-click the Language bar.
  2. Do one of the following:
    • Click Minimize to reduce the Language bar to an icon on the taskbar.

      This option removes the Language bar from your desktop but keeps it active and available.

    • Click Close the Language bar to turn off the Language bar and remove it from your desktop.

Notes

  • To perform Language bar functions without having the Language bar on your desktop, right-click the Language bar and then click Additional icons in taskbar. You can then minimize the Language bar and click the text service icons on the taskbar to perform actions.
  • Closing the Language bar does not remove any text services. If you are not using a service, such as handwriting or speech recognition, you should remove it. Text services require computer memory and might affect performance.
  • You can also minimize the Language bar by clicking Minimize Minimize on the Language bar.
  • You cannot close the Language bar if you have installed an Input Method Editor (IME).
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Add another language

To add another language

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Add.
  4. In the Input language list, click the language you want to add.
  5. Select the check box for the type of text service you want to install, if multiple options are available, and then click a service in the list.

    If Keyboard Layout/IME is the only type of service available, click an option in that list.

Notes

  • XOX
  • Add an input language if you want to insert or display text in that language. You must select at least one text service, such as a keyboard layout or Input Method Editor (IME), when you add a new language.
  • Add only those languages you will use. Each language you add is loaded into memory when you start your computer and can affect performance.
  • If the Language bar is displayed, you can right-click the Language bar and then click Settings to open the Text Services and Input Languages dialog box.


Add another keyboard layout or Input Method Editor (IME)

To add another keyboard layout or Input Method Editor (IME)

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Add.
  4. In the Input language list, click the language for the keyboard layout or Input Method Editor (IME) you want to add.
  5. Select the Keyboard layout/IME check box, if multiple options are available, and then click a service in the list.

    If Keyboard Layout/IME is the only type of text service available, click an option in that list.

Notes

  • XOX
  • There may be only one keyboard layout for some languages.
  • To add an IME, you must have installed it on your computer first.


Switch languages or keyboards from the Language bar

To switch languages or keyboards from the Language bar

  1. On the Language bar, click the button representing languages Language button or keyboards Keyboards.
  2. On the menu, click a language or keyboard layout.

Notes

  • The buttons are available on the Language bar only if you have added multiple languages or multiple keyboard layouts in Regional and Language Options in Control Panel.
  • You can minimize the Language bar and switch between languages or keyboards using the icons on the taskbar.
  • When inserting text, you can use the keyboard, speech recognition, or handwriting recognition interchangeably without clicking a button.
  • The letters on the language button represent the active language. For example, EN stands for English.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Switch languages or keyboards from the taskbar

To switch languages or keyboards from the taskbar

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Preferences, click Language Bar.
  4. In the Language Bar Settings dialog box, select the Show additional Language bar icons in the Notification area check box.
  5. Click OK three times.
  6. Click the language icon Language or the keyboard icon Keyboard on the taskbar to display a menu.
  7. Click a language or keyboard.

Notes

  • XOX
  • The language icon is available only if you have added multiple languages or multiple keyboard layouts in Regional and Language Options in Control Panel.
  • When inserting text, you can use the keyboard, speech recognition, or handwriting recognition interchangeably without clicking a button.
  • The letters on the icon represent the active language. For example, EN stands for English.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Handwriting recognition overview

Handwriting recognition allows you to insert text by writing instead of typing. You can insert text using a handwriting device, such as a digital pen and tablet, or you can move your mouse to form words while holding down the primary mouse button.

Your handwriting is converted to typewritten characters and inserted where you want it. In some software programs, such as Microsoft Word 2002, you can insert your handwriting as ink. Ink displays the text just as you wrote it.

Important

  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.

You can use handwriting recognition in programs that support it. These include:

  • Internet Explorer 5 or later (you can use handwriting in text boxes that appear on Web sites, but not in the Address bar).
  • Outlook Express 5.0 or later (use handwriting to write e-mail).
  • All Microsoft Office XP programs, such as Microsoft Word 2002 or Microsoft Outlook 2002.
  • Any other software program that is enabled to use the Microsoft handwriting recognition engine.

To use handwriting recognition, you must install the handwriting recognition engine. For information about installing the engine, click Related Topics.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.

For more detailed information about using handwriting recognition, click the Help button on the Language bar.


Handwriting recognition requirements

To use handwriting recognition to insert text, you need the following hardware and software components:

Writing tool

  • Minimum: You can write by moving your mouse (while holding down the primary mouse button) to form words.
  • Recommended: A handwriting input tool, such as a pen stylus and tablet, connected to your computer through a serial port or USB port. You can also use a graphics tablet used with three-dimensional (3-D) drawing or computer-aided design (CAD) programs.

Computer speed and memory

  • Handwriting recognition works with any computer that runs XOX.

Software

  • The handwriting recognition engine must be installed. Handwriting recognition is shipped with Microsoft Office XP, but may not be installed by default. For information about installing it from Microsoft Office XP, click Related Topics. It may have been installed by your computer's manufacturer if you recently purchased a new computer, even without Microsoft Office XP.

Important

  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.

Note

  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Install handwriting recognition

If you recently purchased a new computer, the Microsoft handwriting recognition engine might have been installed by the computer manufacturer. No further installation is necessary. If you installed Microsoft Office XP, or if you purchased a new computer with it installed, the handwriting recognition engine is included but might not be installed. Follow the instructions below to install it.

Important

  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.

To determine if the handwriting recognition engine is installed.

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Add.

    If Handwriting recognition is available as an option, the handwriting recognition engine is installed. If it is not available, the engine is not installed.

To install handwriting recognition if Microsoft Office XP is installed

  1. Open Add or Remove Programs in Control Panel.
  2. Click Change or Remove Programs, click Microsoft Office XP, and then click Change.
  3. Click Add or Remove Features, and then click Next.
  4. Under Features to install, double-click Office Shared Features.
  5. Double-click Alternative User Input, click the box next to Handwriting, and then click Run from My Computer.
  6. Click Update.

Notes

  • XOX
  • XOX
  • For East Asian languages, the handwriting recognition engine is installed automatically with Microsoft Office XP.
  • For more detailed information about using handwriting recognition, click the Help button on the Language bar.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Add handwriting recognition

To add handwriting recognition

Handwriting recognition is normally added automatically as a text service when it is installed. Use this procedure only if it you removed it as a text service and want to add it again.

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Add.
  4. In the Input language list, click a language.
  5. Select the Handwriting recognition check box, and then click an option in the list.

Important

  • Handwriting recognition engines are language-specific. The first five Microsoft engines that are available are Simplified Chinese, Traditional Chinese, English, Japanese, and Korean. Engines for other languages will become available.

Notes

  • XOX
  • If a language does not appear in the Input language list, the fonts for that language might not be installed. For information about installing East Asian and complex script languages, click Related Topics.
  • Remove handwriting recognition if you are not using it, because it uses computer memory and can slow performance.
  • Click the Help button on the Language bar for more detailed information about using handwriting recognition.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Remove handwriting recognition

To remove handwriting recognition

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Handwriting Recognition under the language for which you want to remove it, and then click Remove.

Notes

  • XOX
  • Remove handwriting recognition if you are not using it, because it uses computer memory and can slow performance.
  • Removing handwriting recognition does not delete it from your computer, it only removes it as an available text service and prevents it from being loaded into memory. You can add it again at any time.
  • To remove the handwriting recognition engine from the hard disk, follow the instructions in the program with which it was installed, or use Add or Remove Programs in Control Panel.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Using the Microsoft speech recognition engine

The Microsoft speech recognition engine enables you to insert text into a document using specific programs. You can dictate text in any Microsoft Office XP program, in Internet Explorer 5 or later, and in Outlook Express 5.0 or later. Other software programs might eventually support the Microsoft speech recognition engine. You cannot dictate text in Notepad at this time.

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.

Along with being language-specific, some speech engines may be region-specific. For example, the Microsoft English ASR Version 5 engine is intended for speakers of U.S. English. British, Australian, and other non-U.S. English speakers may have difficulty using it due to variations in accent.

To use speech recognition, you should have a high-quality close-talk (headset) microphone and a sound card or USB port. You should be able to position the microphone so it is close to your mouth. Use the Microphone Wizard to configure your microphone.

It is important to train the speech recognition engine to understand your voice. As you read the training text aloud, the engine looks for patterns in the way you speak to help it interpret the words you say. Training creates a speech profile for the individual speaker.

Speech recognition is not designed for completely hands-free operation; you'll get the best results if you use a combination of your voice and the mouse and keyboard, or your voice and a handwriting input device.

For more detailed information about using Microsoft speech recognition, click the Help button on the Language bar.

If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Speech recognition requirements

To use speech recognition, you need the following hardware and software components:

  • A high-quality close-talk (headset) microphone. A Universal Serial Bus (USB) microphone is recommended.
  • A 400 megahertz (MHz) or faster computer with 128 megabytes (MB) of memory.
  • Microsoft Internet Explorer 5.0 or later.
  • The speech recognition engine must be installed. It is available with Microsoft Office XP, but might not have been installed. XOX

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.

Note

  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Install speech recognition

If you recently purchased a new computer, the Microsoft speech recognition engine might have been installed by the computer manufacturer. No further installation is necessary. If you installed Microsoft Office XP, or if you purchased a new computer with it installed, the speech recognition engine is included, but might not be installed. Follow one of the instructions below to install it.

To determine if the speech recognition engine is installed

  • XOX

    If the Speech Recognition tab is available in Speech Properties, the speech recognition engine is installed. If it is not available, the engine is not installed.

To install speech recognition from Microsoft Word 2002

  1. Open Microsoft Word.
  2. On the Tools menu, click Speech.

    Speech recognition is now available in all Office programs as well as other programs for which it is enabled, such as Microsoft Internet Explorer.

To install speech recognition using Add or Remove Programs

  1. Open Add or Remove Programs in Control Panel.
  2. Click Change or Remove Programs, click Microsoft Office XP, and then click Change.
  3. Click Add or Remove Features, and then click Next.
  4. Under Features to install, double-click Office Shared Features.
  5. Double-click Alternative User Input, click Speech, click the down arrow, and then click Run from My Computer.
  6. Click Update.

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.

Notes

  • XOX
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.
  • For more detailed information about using speech recognition, click the Help button on the Language bar.


Add speech recognition

To add speech recognition

Speech recognition is normally added automatically as a text service when it is installed. Use this procedure only if it you removed it as a text service and want to add it.

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Add.
  4. In the Input language list, click an input language.
  5. Select the Speech check box, and then click an option in the list.

Important

  • Speech recognition engines are language-specific. The first three Microsoft speech engines that are available are Simplified Chinese, U.S. English, and Japanese. Engines for other languages will become available.

Notes

  • XOX
  • Speech recognition requires computer memory and can affect your computer's performance, so you should remove it as a text service if you so not use it.
  • If speech recognition is not available, it may not be installed. XOX
  • For more detailed information about using speech recognition, click the Help button on the Language bar.
  • If a language does not appear in the Input language list, the fonts for that language might not be installed. For information about installing East Asian and complex script languages, click Related Topics.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.


Remove speech recognition

To remove speech recognition

  1. Open Regional and Language Options in Control Panel.
  2. On the Languages tab, under Text services and input languages, click Details.
  3. Under Installed services, click Voice Recognition under the language you are using, and then click Remove.

Notes

  • XOX
  • Speech recognition requires computer memory and can affect your computer's performance, so you should remove it as a text service if you do not use it.
  • Removing speech recognition does not delete it from your computer, it only removes it as an available text service and prevents it from being loaded into memory. You can add it again at any time.
  • To remove the speech recognition engine from your hard disk, follow the instructions in the program with which it was installed, or use Add or Remove Programs in Control Panel.
  • If you are using a tablet computer, you can use Tablet PC Input Panel for handwriting and speech tasks. For more information about Input Panel, click Related Topics.